Error “filename.whl is not a supported wheel on this platform”

We Are Going To Discuss About Error “filename.whl is not a supported wheel on this platform”. So lets Start this Python Article.

Error “filename.whl is not a supported wheel on this platform”

How to solve Error “filename.whl is not a supported wheel on this platform”

cp33 means CPython 3.3.
You need scipy‑0.15.1‑cp27‑none‑win_amd64.whl instead.

Error “filename.whl is not a supported wheel on this platform”

cp33 means CPython 3.3.
You need scipy‑0.15.1‑cp27‑none‑win_amd64.whl instead.

Solution 1

cp33 means CPython 3.3.

You need scipy‑0.15.1‑cp27‑none‑win_amd64.whl instead.

Original Author ismail Of This Content

Solution 2

This can also be caused by using an out-of-date pip with a recent wheel file.

I was very confused, because I was installing numpy-1.10.4+mkl-cp27-cp27m-win_amd64.whl (from here), and it is definitely the correct version for my Python installation (Windows 64-bit Python 2.7.11). I got the “not supported wheel on this platform” error.

Upgrading pip with python -m pip install --upgrade pip solved it.

Original Author aldel Of This Content

Solution 3

I had the same problem while installing scipy-0.17.0-cp35-none-win_amd64.whl and my Python version was 3.5. It returned the same error message:

scipy-0.17.0-cp35-none-win_amd64.whl is not a supported wheel on this platform.

I realized that amd64 is not about my Windows, but about the Python version. Actually I am using a 32-bit Python on a 64-bit Windows. Installing the following file solved the issue:

scipy-0.17.0-cp35-none-win32.whl

Original Author 1man Of This Content

Solution 4

I come across this problem because of a wrong name of my package (scipy-0.17.0-cp27-none-win_amd64 (1)).

After I deleted the ‘(1)’ and changed the package to
scipy-0.17.0-cp27-none-win_amd64, the problem got resolved.

Original Author 刘远圳 Of This Content

Conclusion

So This is all About This Tutorial. Hope This Tutorial Helped You. Thank You.

Also Read,

ittutorial team

I am an Information Technology Engineer. I have Completed my MCA And I have 4 Year Plus Experience, I am a web developer with knowledge of multiple back-end platforms Like PHP, Node.js, Python and frontend JavaScript frameworks Like Angular, React, and Vue.

Leave a Comment